/*                                                                        *
*    File is Copyright  2013 CSR Technology Inc.  All rights reserved.   *
*    No implied or expressed warranties are granted.                      *
*                                                                         *
*    This Software is protected by United States copyright laws and       *
*    international treaties.  You may not reverse engineer, decompile     *
*    or disassemble this Software.                                        *
*                                                                         *
*    WARNING:                                                             *
*    This Software contains CSR Technology Inc.s confidential and        *
*    proprietary information. UNAUTHORIZED COPYING, USE, DISTRIBUTION,    *
*    PUBLICATION, TRANSFER, SALE, RENTAL OR DISCLOSURE IS PROHIBITED      *
*    AND MAY RESULT IN SERIOUS LEGAL CONSEQUENCES.  Do not copy this      *
*    Software without CSR Technology, Inc.s  express written             *
*    permission. Use of any portion of the contents of this Software      *
*    is subject to and restricted by your signed written agreement with   *
*    CSR Technology, Inc.                                                 *
*                                                                         *
***************************************************************************
*
* MODULE:  Adaptation Layer
*
* FILENAME:  Logs.h
*
* DESCRIPTION:This file contains the source code for logging mechanism.For now it uses the
*                         windows file system to log the data.
*
***************************************************************************
*
*  Keywords for Perforce.  Do not modify.
*
*  $File: //core/tools/ROMPatchApplication/src/abstraction/logs.h $
*
*  $DateTime: 2015/07/30 19:58:52 $
*
*  $Revision: #4 $
*
***************************************************************************/


#ifndef _LOGS_H_
#define _LOGS_H_

#include <stdio.h>
/* For Debug Printing */
#ifdef DEBUG_ENABLE
#define DebugPrint(A) { printf A; PrintLog A; }
#else
#define DebugPrint 
#endif

/* Initialize and Open the Log File */
SINT32 LogInit( void *ptr);

/* Print the String in the log File*/
SINT32 PrintLog(SINT8 *pData1, ...);

/* Close the Log File */
SINT32 CloseLog(void);

void SetErrorCode(UINT32 code);
UINT32 GetErrorCode(void);

#endif /*_LOGS_H_ */

