/*                                                                        *
*    File is Copyright  2013 CSR Technology Inc.  All rights reserved.   *
*    No implied or expressed warranties are granted.                      *
*                                                                         *
*    This Software is protected by United States copyright laws and       *
*    international treaties.  You may not reverse engineer, decompile     *
*    or disassemble this Software.                                        *
*                                                                         *
*    WARNING:                                                             *
*    This Software contains CSR Technology Inc.s confidential and        *
*    proprietary information. UNAUTHORIZED COPYING, USE, DISTRIBUTION,    *
*    PUBLICATION, TRANSFER, SALE, RENTAL OR DISCLOSURE IS PROHIBITED      *
*    AND MAY RESULT IN SERIOUS LEGAL CONSEQUENCES.  Do not copy this      *
*    Software without CSR Technology, Inc.s  express written             *
*    permission. Use of any portion of the contents of this Software      *
*    is subject to and restricted by your signed written agreement with   *
*    CSR Technology, Inc.                                                 *
*                                                                         *
***************************************************************************
*
* MODULE:  ROM Patch Application
*
* FILENAME:  errorCodes.h
*
* DESCRIPTION: This file defines the error codes returned by different functions whic are 
*                         used globally.
*
***************************************************************************
*
*  Keywords for Perforce.  Do not modify.
*
*  $File: //core/tools/ROMPatchApplication/src/errorCodes.h $
*
*  $DateTime: 2015/07/30 19:58:52 $
*
*  $Revision: #3 $
*
***************************************************************************/

/** 
* \file   
* This file contains data type definitions
* 
*/
#ifndef __ERROR_CODES_H__
#define __ERROR_CODES_H__

/* Error Codes */
typedef enum 
{
    ERROR_NONE=1,
    ERROR_COMPORT_OPEN,
    ERROR_FILE_OPEN,
    ERROR_FILE_READ,
    ERROR_INVALID_INPUT,
    ERROR_INVALID_PORT,
    ERROR_INVALID_BAUD,
    ERROR_INVALID_PROTOCOL,
    ERROR_INVALID_CCK_FLAG,
    ERROR_INVALID_NUM_PARAMS,
    ERROR_INVALID_CRC,
    ERROR_MEMALLOC,
    ERROR_PATCH_PM_START_MSG,
    ERROR_PATCH_PM_PROMPT_MSG,
    ERROR_PATCH_PM_LOAD_MSG,
    ERROR_PATCH_PM_EXIT_MSG,
    ERROR_PATCH_PM_PEEK_MSG,
    ERROR_PATCH_PM_POKE_MSG,
    ERROR_COM_BYTES_UNRECOGNIZED,
    ERROR_NONE_SSB_MSG_RCVD,
    ERROR_RCVR_NOT_RESPONDING,
    ERROR_FAILED_TOCHANGE_PWRMODE,
    ERROR_NACK_RCVD,
    ERROR_ACK_RCVD,
    ERROR_MAX_NUMMSG_WAIT_EXPIRED
}returnCodes_t;

#endif

