/*                                                                        *
*    File is Copyright  2013 CSR Technology Inc.  All rights reserved.   *
*    No implied or expressed warranties are granted.                      *
*                                                                         *
*    This Software is protected by United States copyright laws and       *
*    international treaties.  You may not reverse engineer, decompile     *
*    or disassemble this Software.                                        *
*                                                                         *
*    WARNING:                                                             *
*    This Software contains CSR Technology Inc.s confidential and        *
*    proprietary information. UNAUTHORIZED COPYING, USE, DISTRIBUTION,    *
*    PUBLICATION, TRANSFER, SALE, RENTAL OR DISCLOSURE IS PROHIBITED      *
*    AND MAY RESULT IN SERIOUS LEGAL CONSEQUENCES.  Do not copy this      *
*    Software without CSR Technology, Inc.s  express written             *
*    permission. Use of any portion of the contents of this Software      *
*    is subject to and restricted by your signed written agreement with   *
*    CSR Technology, Inc.                                                 *
*                                                                         *
***************************************************************************
*
* MODULE:  ROM Patch Application
*
* FILENAME:  ssbInterface.h
*
* DESCRIPTION:This file contains the function declaration for Serial Protocol 
*
***************************************************************************
*
*  Keywords for Perforce.  Do not modify.
*
*  $File: //core/tools/ROMPatchApplication/src/ssbInterface.h $
*
*  $DateTime: 2013/02/27 23:48:03 $
*
*  $Revision: #4 $
*
***************************************************************************/

#ifndef _SSBINTERFACE_H
#define _SSBINTERFACE_H

/* Message structures */
/*******************************************************************************
  SIRF_MSG_SSB_TRKR_PEEKPOKE_CMD         ( 0x03B2 ) 178 SID 3
*******************************************************************************/
/* 4 byte peek/poke request */
typedef struct tSIRF_MSG_SSB_TRKR_PEEKPOKE_CMD_tag
{
   UINT8 type;       /* Bits 0  3:
                        0: 4byte peek
                        1: 4byte poke
                        Bits 4  7:
                        0: processor with tracker
                        1: nav only processor
                     */
   UINT8 access;     /* 1 = 8-bit(byte access) 
                        2 = 16-bit access (half-word access)
                        4 = 32-bit access (word access)
                     */
   UINT32 address;
   UINT32 data;
} tSIRF_MSG_SSB_TRKR_PEEKPOKE_CMD;

/* External Function Declaration */
SINT32 SSB_Send (void * msgPtr, UINT32 msgLen);
SINT32 ListenRx(rxEventType event);
SINT32 VerifyCommunication(void);
SINT32 PollSWVersion();
SINT32 PollNAVParameters(void);
SINT32 EnterFullPower(void);
SINT32 EnterLowPower(UINT8 PowrMode);
SINT32 SwitchSsbToNmea(UINT16 BitRate);
SINT32 SwitchNmeaToSsb(UINT32 baudrate);
SINT32 SwitchNmeaBaud(UINT32 baudrate);
SINT32 SetSerialBitRate(UINT32 BitRate);
SINT32 SendPeekPokeRequest(void *msg);

#endif  /* _SSBINTERFACE_H */
